from __future__ import annotations
from typing import Any, Protocol, runtime_checkable

@runtime_checkable
class XTabPageContainer(Protocol):
    def getTabPageCount(self) -> int: ...
    def isTabPageActive(self, tabPageIndex: int) -> bool: ...
    def getTabPage(self, tabPageIndex: int) -> XTabPage: ...
    def getTabPageByID(self, tabPageID: int) -> XTabPage: ...
    def addTabPageContainerListener(self, listener: XTabPageContainerListener) -> None: ...
    def removeTabPageContainerListener(self, listener: XTabPageContainerListener) -> None: ...
